<?php
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);

include 'db_connection.php';

if ($_SERVER["REQUEST_METHOD"] == "POST" && isset($_POST["update_purchase"])) {
    $purchase_number = $_POST["purchase_number"];
    $purchase_date = $_POST["purchase_date"];
    $client = $_POST["client"];
    $amount = $_POST["amount"];
    $total_kilograms = $_POST["total_kilograms"];
    $invoice_number = $_POST["invoice_number"];

    $sql_update_purchase = "UPDATE purchases SET 
                            purchase_date = '$purchase_date',
                            client = '$client',
                            amount = '$amount',
                            total_kilograms = '$total_kilograms',
                            invoice_number = '$invoice_number'
                            WHERE purchase_number = '$purchase_number'";

    if ($conn->query($sql_update_purchase) === TRUE) {
        // Перенаправление на другую страницу после успешного добавления данных
        header("Location: display_data.php");
        exit();
    } else {
        echo "Ошибка: " . $sql_update_purchase . "<br>" . $conn->error;
    }

    // Перенаправляем пользователя после успешного выполнения операции
    header("Location: display_data.php");
    exit();
} else {
    echo "<p>Некорректные данные запроса</p>";
}

$conn->close();
?>
